Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTableHeaderUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.TableHeaderUI
              javax.swing.plaf.basic.BasicTableHeaderUI

    public class BasicTableHeaderUI

extends TableHeaderUI

BasicTableHeaderUI implementation

Nested Class Summary
`class` | `BasicTableHeaderUI.MouseInputHandler` This inner class is marked "public" due to a compiler bug.

Field Summary
`protected JTableHeader` | `header` The JTableHeader that is delegating the painting to this UI.
`protected MouseInputListener` | `mouseInputListener`
`protected CellRendererPane` | `rendererPane`

Constructor Summary
`BasicTableHeaderUI()`

Method Summary
`protected MouseInputListener` | `createMouseInputListener()` Creates the mouse listener for the JTable.
`static ComponentUI` | `createUI(JComponent h)`
`Dimension` | `getMaximumSize(JComponent c)` Return the maximum size of the header.
`Dimension` | `getMinimumSize(JComponent c)` Return the minimum size of the header.
`Dimension` | `getPreferredSize(JComponent c)` Return the preferred size of the header.
`protected void` | `installDefaults()` Initialize JTableHeader properties, e.g.
`protected void` | `installKeyboardActions()` Register all keyboard actions on the JTableHeader.
`protected void` | `installListeners()` Attaches listeners to the JTableHeader.
`void` | `installUI(JComponent c)` Configures the specified component appropriate for the look and feel.
`void` | `paint(Graphics g, JComponent c)` Paints the specified component appropriate for the look and feel.
`protected void` | `uninstallDefaults()`
`protected void` | `uninstallKeyboardActions()`
`protected void` | `uninstallListeners()`
`void` | `uninstallUI(JComponent c)` Reverses configuration which was done on the specified component during `installUI`.

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### header

    protected JTableHeader header

  The JTableHeader that is delegating the painting to this UI.

### rendererPane

    protected CellRendererPane rendererPane

### mouseInputListener

    protected MouseInputListener mouseInputListener

Constructor Detail

### BasicTableHeaderUI

    public BasicTableHeaderUI()

Method Detail

### createMouseInputListener

    protected MouseInputListener createMouseInputListener()

  Creates the mouse listener for the JTable.

### createUI

    public static ComponentUI createUI(JComponent h)

### installUI

    public void installUI(JComponent c)

  Description copied from class: `ComponentUI`
  Configures the specified component appropriate for the look and feel. This method is invoked when the `ComponentUI` instance is being installed as the UI delegate on the specified component. This method should completely configure the component for the look and feel, including the following:
  1. Install any default property values for color, fonts, borders, icons, opacity, etc. on the component. Whenever possible, property values initialized by the client program should not be overridden.
  2. Install a `LayoutManager` on the component if necessary.
  3. Create/add any required sub-components to the component.
  4. Create/install event listeners on the component.
  5. Create/install a `PropertyChangeListener` on the component in order to detect and respond to component property changes appropriately.
  6. Install keyboard UI (mnemonics, traversal, etc.) on the component.
  7. Initialize any appropriate instance data.

  Overrides:
    `installUI` in class `ComponentUI`
  Parameters:
    `c` - the component where this UI delegate is being installed
  See Also:
    `ComponentUI.uninstallUI(javax.swing.JComponent)`, `JComponent.setUI(javax.swing.plaf.ComponentUI)`, `JComponent.updateUI()`

### installDefaults

    protected void installDefaults()

  Initialize JTableHeader properties, e.g. font, foreground, and background. The font, foreground, and background properties are only set if their current value is either null or a UIResource, other properties are set if the current value is null.

  See Also:
    `installUI(javax.swing.JComponent)`

### installListeners

    protected void installListeners()

  Attaches listeners to the JTableHeader.

### installKeyboardActions

    protected void installKeyboardActions()

  Register all keyboard actions on the JTableHeader.

### uninstallUI

    public void uninstallUI(JComponent c)

  Description copied from class: `ComponentUI`
  Reverses configuration which was done on the specified component during `installUI`. This method is invoked when this `UIComponent` instance is being removed as the UI delegate for the specified component. This method should undo the configuration performed in `installUI`, being careful to leave the `JComponent` instance in a clean state (no extraneous listeners, look-and-feel-specific property objects, etc.). This should include the following:
  1. Remove any UI-set borders from the component.
  2. Remove any UI-set layout managers on the component.
  3. Remove any UI-added sub-components from the component.
  4. Remove any UI-added event/property listeners from the component.
  5. Remove any UI-installed keyboard UI from the component.
  6. Nullify any allocated instance data objects to allow for GC.

  Overrides:
    `uninstallUI` in class `ComponentUI`
  Parameters:
    `c` - the component from which this UI delegate is being removed; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
  See Also:
    `ComponentUI.installUI(javax.swing.JComponent)`, `JComponent.updateUI()`

### uninstallDefaults

    protected void uninstallDefaults()

### uninstallListeners

    protected void uninstallListeners()

### uninstallKeyboardActions

    protected void uninstallKeyboardActions()

### paint

    public void paint(Graphics g,
                      JComponent c)

  Description copied from class: `ComponentUI`
  Paints the specified component appropriate for the look and feel. This method is invoked from the `ComponentUI.update` method when the specified component is being painted. Subclasses should override this method and use the specified `Graphics` object to render the content of the component.

  Overrides:
    `paint` in class `ComponentUI`
  Parameters:
    `g` - the `Graphics` context in which to paint
    `c` - the component being painted; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
  See Also:
    `ComponentUI.update(java.awt.Graphics, javax.swing.JComponent)`

### getMinimumSize

    public Dimension getMinimumSize(JComponent c)

  Return the minimum size of the header. The minimum width is the sum of the minimum widths of each column (plus inter-cell spacing).

  Overrides:
    `getMinimumSize` in class `ComponentUI`
  Parameters:
    `c` - the component whose minimum size is being queried; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
  Returns:
    a `Dimension` object or `null`
  See Also:
    `JComponent.getMinimumSize()`, `LayoutManager.minimumLayoutSize(java.awt.Container)`, `ComponentUI.getPreferredSize(javax.swing.JComponent)`

### getPreferredSize

    public Dimension getPreferredSize(JComponent c)

  Return the preferred size of the header. The preferred height is the maximum of the preferred heights of all of the components provided by the header renderers. The preferred width is the sum of the preferred widths of each column (plus inter-cell spacing).

  Overrides:
    `getPreferredSize` in class `ComponentUI`
  Parameters:
    `c` - the component whose preferred size is being queried; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
  See Also:
    `JComponent.getPreferredSize()`, `LayoutManager.preferredLayoutSize(java.awt.Container)`

### getMaximumSize

    public Dimension getMaximumSize(JComponent c)

  Return the maximum size of the header. The maximum width is the sum of the maximum widths of each column (plus inter-cell spacing).

  Overrides:
    `getMaximumSize` in class `ComponentUI`
  Parameters:
    `c` - the component whose maximum size is being queried; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
  Returns:
    a `Dimension` object or `null`
  See Also:
    `JComponent.getMaximumSize()`, `LayoutManager2.maximumLayoutSize(java.awt.Container)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.